# Class AdsError`Abstract`

#### Hierarchy (view full)

- BasePlayerError
  - AdsError
    - AdsBeforePrerollError
    - AdsPrerollError
    - AdsMidrollError
    - AdsPostrollError
    - AdsMacroReplacementError
    - AdsResumeContentError
    - ImaVmapCancelledError
    - ImaAdsManagerStartError
    - ImaInvalidVpaidModeError
    - ImaSdkLoadError
    - ImaInvalidCueError
    - ImaCueParsingError
    - SsaiVmapParsingError
    - SsaiLiveVmapParsingError
    - SsaiVodVmapParsingError
    - SsaiUnsupportedOmAdSessionError
    - SsaiOmSessionError
    - SsaiVmapRequestError

#####
Index

### Constructors

constructor

### Properties

category
code

## Constructors

### constructor

- new AdsError(): AdsError

- #### Returns AdsError

  Inherited from BasePlayerError.constructor

## Properties

### `Readonly` category

category: Ads = ErrorCategory.Ads

Overrides BasePlayerError.category

### `Readonly` `Abstract` code

code: ErrorCode

Inherited from BasePlayerError.code